## openssh-askpass-2.1.0-3.src.tar.gz

=== CMakeLists.txt ===
# $Id$
cmake_minimum_required(VERSION 2.8.12)

project(openssh-askpass)
set(OPENSSH_ASKPASS_VERSION_MAJOR 2)
SET(OPENSSH_ASKPASS_VERSION_MINOR 1)
SET(OPENSSH_ASKPASS_VERSION_PATCH 0)
set(OPENSSH_ASKPASS_VERSION ${OPENSSH_ASKPASS_VERSION_MAJOR}.${OPENSSH_ASKPASS_VERSION_MINOR}.${OPENSSH_ASKPASS_VERSION_PATCH})

########### modules #################
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/base-cmake")
include(Macros)
setup_cmake_settings()
setup_compiler_flags()

########### packages ###############
set(CPACK_PACKAGE_NAME "openssh-askpass")
set(CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr")
set(CPACK_PACKAGE_VERSION "${OPENSSH_ASKPASS_VERSION}")
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
include(CPack)

########### configuration files ###############
configure_file(openssh-askpass.spec.cmake ${CMAKE_SOURCE_DIR}/openssh-askpass.spec)

########### external applications ###############
find_program(OPENSSH_ASKPASS top)
find_program(PS ps)
find_program(KILL kill)

########### subdirectories ###############
if(ENABLE_SHARED)

  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  link_directories(${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_subdirectory(base)
  add_subdirectory(base-qt)
  add_subdirectory(base-transparency)
  add_subdirectory(base-svg)

endif()

add_subdirectory(src)
write_feature_summary()

=== base-filesystem/CMakeLists.txt ===
# $Id$
project(BASE_FILESYSTEM)
set(BASE_FILESYSTEM_VERSION_MAJOR 1)
set(BASE_FILESYSTEM_VERSION_MINOR 0)
set(BASE_FILESYSTEM_VERSION_PATCH 0)
set(BASE_FILESYSTEM_VERSION ${BASE_FILESYSTEM_VERSION_MAJOR}.${BASE_FILESYSTEM_VERSION_MINOR}.${BASE_FILESYSTEM_VERSION_PATCH})
set(BASE_FILESYSTEM_SOVERSION ${BASE_FILESYSTEM_VERSION_MAJOR}.${BASE_FILESYSTEM_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### next target ###############
set(base_filesystem_SOURCES
  FileIconProvider.cpp
  FileInformationDialog.cpp
  BaseFileSystemWidget.cpp
  FileSystemModel.cpp
  RemoveFilesDialog.cpp
  RenameFileDialog.cpp
)

set(base_filesystem_RESOURCES baseFileSystem.qrc)

if(USE_QT5)

  qt5_add_resources(base_filesystem_RESOURCES_RCC ${base_filesystem_RESOURCES})

else()

  qt4_add_resources(base_filesystem_RESOURCES_RCC ${base_filesystem_RESOURCES})

endif()

if(ENABLE_SHARED)

  add_library(base-filesystem SHARED ${base_filesystem_SOURCES} ${base_filesystem_RESOURCES_RCC})
  set_target_properties(base-filesystem PROPERTIES VERSION ${BASE_FILESYSTEM_VERSION} SOVERSION ${BASE_FILESYSTEM_SOVERSION})
  install(TARGETS base-filesystem DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-filesystem STATIC ${base_filesystem_SOURCES} ${base_filesystem_RESOURCES_RCC})

endif()

target_link_libraries(base-filesystem base-qt)

if(USE_QT5)

  target_link_libraries(base-filesystem Qt5::Widgets Qt5::Xml)

else()

  target_link_libraries(base-filesystem ${QT_LIBRARIES})

endif()

=== base-help/CMakeLists.txt ===
# $Id$
project(BASE_HELP)
set(BASE_HELP_VERSION_MAJOR 1)
set(BASE_HELP_VERSION_MINOR 0)
set(BASE_HELP_VERSION_PATCH 0)
set(BASE_HELP_VERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR}.${BASE_HELP_VERSION_PATCH})
set(BASE_HELP_SOVERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_help_SOURCES
  HelpDialog.cpp
  HelpManager.cpp
  HelpModel.cpp
 )

if(ENABLE_SHARED)

  add_library(base-help SHARED ${base_help_SOURCES})
  set_target_properties(base-help PROPERTIES VERSION ${BASE_HELP_VERSION} SOVERSION ${BASE_HELP_SOVERSION})
  install(TARGETS base-help DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-help STATIC ${base_help_SOURCES})

endif()

target_link_libraries(base-help base base-qt)

if(USE_QT5)

  target_link_libraries(base-help Qt5::Widgets)

else()

  target_link_libraries(base-help ${QT_LIBRARIES})

endif()

=== base-notifications/CMakeLists.txt ===
# $Id$
project(BASE_NOTIFICATIONS)
set(BASE_NOTIFICATIONS_VERSION_MAJOR 1)
set(BASE_NOTIFICATIONS_VERSION_MINOR 0)
set(BASE_NOTIFICATIONS_VERSION_PATCH 0)
set(BASE_NOTIFICATIONS_VERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR}.${BASE_NOTIFICATIONS_VERSION_PATCH})
set(BASE_NOTIFICATIONS_SOVERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5DBus)

else()

  find_package(Qt4 REQUIRED)

  if(UNIX AND NOT APPLE)

    set(QT_USE_QTDBUS TRUE)

  else()

    add_definitions("-DQT_NO_DBUS")

  endif()

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_notifications_SOURCES
  ImageData.cpp
  SystemNotifications.cpp
  SystemNotifications_p.cpp
  TaskBarProgressNotifications.cpp
)

if(ENABLE_SHARED)

  add_library(base-notifications SHARED ${base_notifications_SOURCES})
  set_target_properties(base-notifications PROPERTIES VERSION ${BASE_NOTIFICATIONS_VERSION} SOVERSION ${BASE_NOTIFICATIONS_VERSION})
  install(TARGETS base-notifications DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-notifications STATIC ${base_notifications_SOURCES})

endif()

target_link_libraries(base-notifications base base-qt)

if(USE_QT5)

  target_link_libraries(base-notifications Qt5::Widgets)
  if(Qt5DBus_FOUND )

    target_link_libraries(base-notifications Qt5::DBus)

  else()

    add_definitions("-DQT_NO_DBUS")

  endif()

else()

  target_link_libraries(base-notifications ${QT_LIBRARIES})

endif()

=== base-qt/CMakeLists.txt ===
# $Id$
project(BASE_QT)
set(BASE_QT_VERSION_MAJOR 1)
set(BASE_QT_VERSION_MINOR 0)
set(BASE_QT_VERSION_PATCH 0)
set(BASE_QT_VERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR}.${BASE_QT_VERSION_PATCH})
set(BASE_QT_SOVERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)
  find_package(Qt5PrintSupport REQUIRED)

  if(WIN32)
    find_package(Qt5WinExtras REQUIRED)
  endif()

  # needed to access QPA classes
  include_directories(${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### X11 #########
if(UNIX AND NOT APPLE)

  find_package(XCB COMPONENTS XCB KEYSYMS)
  find_package(X11_XCB)
  if( XCB_XCB_FOUND AND XCB_KEYSYMS_FOUND AND X11_XCB_FOUND )

    add_definitions(-DWITH_XCB=1)

    if(USE_QT5)
      find_package(Qt5X11Extras REQUIRED)
    endif()

  else()
    add_definitions(-DWITH_XCB=0)
  endif()

else()

  add_definitions(-DWITH_XCB=0)

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_qt_SOURCES
  AbstractFindWidget.cpp
  BaseContextMenu.cpp
  BaseFileIconProvider.cpp
  BaseFileInfo.cpp
  BaseFileInfoConfigurationWidget.cpp
  BaseFileInfoIconView.cpp
  BaseFileInfoToolTipWidget.cpp
  BaseFileInfoItemDelegate.cpp
  BaseFileInformationDialog.cpp
  BaseFindDialog.cpp
  BaseFindWidget.cpp
  BaseMainWindow.cpp
  BaseConfigurationDialog.cpp
  BaseDialog.cpp
  BasePrintHelper.cpp
  BaseProgressBar.cpp
  BaseReplaceDialog.cpp
  BaseReplaceWidget.cpp
  BaseSocketInterface.cpp
  BaseStatusBar.cpp
  BaseToolTipWidget.cpp
  BlockHighlight.cpp
  BoxSelection.cpp
  BrowsedLineEditor.cpp
  BrowseIconButton.cpp
  BusyWidget.cpp
  ClockLabel.cpp
  ColorComboBox.cpp
  ColorDisplay.cpp
  ColorGrabButton.cpp
  ColorGrabObject.cpp
  ColorOptionListBox.cpp
  ColorOptionModel.cpp
  ColumnSelectionMenu.cpp
  ColumnSortingMenu.cpp
  ContextMenu.cpp
  CounterDialog.cpp
  CounterModel.cpp
  CursorMonitor.cpp
  CustomComboBox.cpp
  CustomDialog.cpp
  CustomMenu.cpp
  CustomPixmap.cpp
  CustomSlider.cpp
  CustomTextDocument.cpp
  CustomToolBar.cpp
  CustomToolButton.cpp
  DebugMenu.cpp
  DefaultFolders.cpp
  DetailsDialog.cpp
  DockPanel.cpp
  DockWidget.cpp
  DragMonitor.cpp
  ElidedLabel.cpp
  ErrorHandler.cpp
  EmbeddedWidget.cpp
  FileDialog.cpp
  FileList.cpp
  FilePermissionsWidget.cpp
  FileRecordModel.cpp
  FileRecordToolTipWidget.cpp
  FileSystemWatcher.cpp
  FontEditor.cpp
  FontInfo.cpp
  GridLayout.cpp
  GridLayoutItem.cpp
  HtmlDialog.cpp
  HtmlTextNode.cpp
  IconCacheDialog.cpp
  IconCacheModel.cpp
  IconEngine.cpp
  IconSize.cpp
  IconSizeComboBox.cpp
  IconSizeMenu.cpp
  IconView.cpp
  IconViewItem.cpp
  ImageFileDialog.cpp
  InformationDialog.cpp
  InterruptionHandler.cpp
  ItemModel.cpp
  KeyModifier.cpp
  LineEditor.cpp
  LineNumberDisplay.cpp
  LogWidget.cpp
  MimeTypeIconProvider.cpp
  MultipleClickCounter.cpp
  NetworkConnectionMonitor.cpp
  OpenWithComboBox.cpp
  OpenWithDialog.cpp
  OptionBrowsedLineEditor.cpp
  OptionCheckBox.cpp
  OptionColorDisplay.cpp
  OptionComboBox.cpp
  OptionDialog.cpp
  OptionFontEditor.cpp
  OptionFontInfo.cpp
  OptionIconSizeComboBox.cpp
  OptionLineEditor.cpp
  OptionListBox.cpp
  OptionModel.cpp
  OptionRadioButton.cpp
  OptionSlider.cpp
  OptionSpinBox.cpp
  OptionWidgetList.cpp
  PathEditor.cpp
  PathHistory.cpp
  PathHistoryConfiguration.cpp
  PixmapEngine.cpp
  PlacesWidget.cpp
  PrinterOptionWidget.cpp
  PrintPreviewDialog.cpp
  ProgressStatusBar.cpp
  QuestionDialog.cpp
  QtUtil.cpp
  RecentFilesConfiguration.cpp
  RecentFilesMenu.cpp
  RemoveLineBuffer.cpp
  RoundedRegion.cpp
  ScratchFileMonitor.cpp
  ScratchFileRemoveDialog.cpp
  ScrollBarMonitor.cpp
  SelectLineDialog.cpp
  SelectLineWidget.cpp
  SingleTimeDialog.cpp
  SimpleListView.cpp
  StandardAction.cpp
  SystemEnvironmentDialog.cpp
  TabbedDialog.cpp
  TabWidget.cpp
  TextEditor.cpp
  TextEditorMarginWidget.cpp
  TextEditionDelegate.cpp
  TextEncodingDialog.cpp
  TextEncodingMenu.cpp
  TextEncodingString.cpp
  TextEncodingWidget.cpp
  TextPosition.cpp
  TextSeparator.cpp
  ToolBarMenu.cpp
  ToolButtonStyleMenu.cpp
  TreeItemBase.cpp
  TreeView.cpp
  TreeViewConfiguration.cpp
  TreeViewItemDelegate.cpp
  UserSelectionFrame.cpp
  ValidFileThread.cpp
  WarningDialog.cpp
  WidgetDragMonitor.cpp
  WidgetMonitor.cpp
  WinUtil.cpp
  XcbUtil.cpp
  XmlColor.cpp
  XmlCommandLineArguments.cpp
  XmlDocument.cpp
  XmlFileList.cpp
  XmlFileRecord.cpp
  XmlOption.cpp
  XmlOptions.cpp
  XmlPathHistory.cpp
  XmlTextFormatBlock.cpp
  XmlTimeStamp.cpp
)

set(base_qt_RESOURCES basePixmaps.qrc)

if(USE_QT5)

  qt5_add_resources(base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

else()

  qt4_add_resources(base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

endif()


if(ENABLE_SHARED)

  add_library(base-qt SHARED ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC})
  set_target_properties(base-qt PROPERTIES VERSION ${BASE_QT_VERSION} SOVERSION ${BASE_QT_SOVERSION})
  install(TARGETS base-qt DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-qt STATIC ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC})

endif()

target_link_libraries(base-qt base)

if(XCB_FOUND)

  target_link_libraries(base-qt ${XCB_LIBRARIES})
  target_link_libraries(base-qt ${X11_XCB_LIBRARIES})

endif()

if(USE_QT5)

  target_link_libraries(base-qt Qt5::Widgets Qt5::Network Qt5::PrintSupport Qt5::Xml)
  if(WIN32)
    target_link_libraries(base-qt Qt5::WinExtras)
  endif()

  if(XCB_FOUND)
    target_link_libraries(base-qt Qt5::X11Extras)
  endif()

else()

  target_link_libraries(base-qt ${QT_LIBRARIES})

endif()

=== base-server/CMakeLists.txt ===
# $Id$
project(BASE_SERVER)
set(BASE_SERVER_VERSION_MAJOR 1)
set(BASE_SERVER_VERSION_MINOR 0)
set(BASE_SERVER_VERSION_PATCH 0)
set(BASE_SERVER_VERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR}.${BASE_SERVER_VERSION_PATCH})
set(BASE_SERVER_SOVERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

# DBUS: is forced to false on APPLE

########### kde config ###############
find_program(KDE_CONFIG NAMES kf5-config kde4-config)

########### configuration files ###############
configure_file(ServerSystemOptions.h.cmake ServerSystemOptions.h)

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_server_SOURCES
  ApplicationId.cpp
  ApplicationManager.cpp
  BaseApplication.cpp
  BaseCoreApplication.cpp
  Client.cpp
  ServerCommand.cpp
  ServerConfiguration.cpp
)

if(ENABLE_SHARED)

  add_library(base-server SHARED ${base_server_SOURCES})
  set_target_properties(base-server PROPERTIES VERSION ${BASE_SERVER_VERSION} SOVERSION ${BASE_SERVER_SOVERSION})
  install(TARGETS base-server DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-server STATIC ${base_server_SOURCES})

endif()

target_link_libraries(base-server base base-qt)

if(USE_QT5)

  target_link_libraries(base-server Qt5::Widgets Qt5::Network Qt5::Xml)
  if(Qt5DBus_FOUND )

    target_link_libraries(base-server Qt5::DBus)

  else()

    add_definitions("-DQT_NO_DBUS")

  endif()

else()

  target_link_libraries(base-server ${QT_LIBRARIES})

endif()

=== base-spellcheck/CMakeLists.txt ===
# $Id$
project(BASE_SPELLCHECK)
set(BASE_SPELLCHECK_VERSION_MAJOR 1)
set(BASE_SPELLCHECK_VERSION_MINOR 0)
set(BASE_SPELLCHECK_VERSION_PATCH 0)
set(BASE_SPELLCHECK_VERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR}.${BASE_SPELLCHECK_VERSION_PATCH})
set(BASE_SPELLCHECK_SOVERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### aspell ###############
include_directories(${ASPELL_INCLUDE_DIR})

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_spellcheck_SOURCES
  AutoSpellConfiguration.cpp
  DictionaryMenu.cpp
  DictionarySelectionButton.cpp
  FilterMenu.cpp
  FilterSelectionButton.cpp
  SpellCheckConfiguration.cpp
  SpellDialog.cpp
  SpellInterface.cpp
  SpellItemDialog.cpp
  SpellItemModel.cpp
  SpellParser.cpp
  SuggestionMenu.cpp
  TexString.cpp
 )

if(ENABLE_SHARED)

  add_library(base-spellcheck SHARED ${base_spellcheck_SOURCES})
  set_target_properties(base-spellcheck PROPERTIES VERSION ${BASE_SPELLCHECK_VERSION} SOVERSION ${BASE_SPELLCHECK_SOVERSION})
  install(TARGETS base-spellcheck DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-spellcheck STATIC ${base_spellcheck_SOURCES})

endif()

target_link_libraries(base-spellcheck ${ASPELL_LIBRARIES} base base-qt)

if(USE_QT5)

  target_link_libraries(base-spellcheck Qt5::Widgets)

else()

  target_link_libraries(base-spellcheck ${QT_LIBRARIES})

endif()

=== base-ssh/CMakeLists.txt ===
# $Id$
project(BASE_SSH)
set(BASE_SSH_VERSION_MAJOR 1)
set(BASE_SSH_VERSION_MINOR 0)
set(BASE_SSH_VERSION_PATCH 0)
set(BASE_SSH_VERSION ${BASE_SSH_VERSION_MAJOR}.${BASE_SSH_VERSION_MINOR}.${BASE_SSH_VERSION_PATCH})
set(BASE_SSH_SOVERSION ${BASE_SSH_VERSION_MAJOR}.${BASE_SSH_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### ssh #########
find_package(LibSSH2)
if(LIBSSH2_FOUND)

  add_definitions(-DWITH_SSH=1)
  include_directories(${LIBSSH2_INCLUDE_DIR})

else()

  add_definitions(-DWITH_SSH=0)

endif()

########### includes #########
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_ssh_SOURCES
  SshBaseSocket.cpp
  SshConnection.cpp
  SshConnectionAttributes.cpp
  SshFileReadSocket.cpp
  SshFileTransferObject.cpp
  SshFileWriteSocket.cpp
  SshLoginDialog.cpp
  SshSingleton.cpp
  SshSocket.cpp
  SshTunnel.cpp
  SshUtil.cpp
)

if(ENABLE_SHARED)

  add_library(base-ssh SHARED ${base_ssh_SOURCES})
  set_target_properties(base-ssh PROPERTIES VERSION ${BASE_SSH_VERSION} SOVERSION ${BASE_SSH_SOVERSION})
  install(TARGETS base-ssh DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-ssh STATIC ${base_ssh_SOURCES} ${base_ssh_RESOURCES_RCC})

endif()

target_link_libraries(base-ssh base-qt)

if(WIN32)

  # add needed libraries for sockets and inet on windows
  target_link_libraries(base-ssh ws2_32)

endif()

if(${LIBSSH2_FOUND})

  target_link_libraries(base-ssh ${LIBSSH2_LIBRARY})

endif()

if(USE_QT5)

  target_link_libraries(base-ssh Qt5::Widgets Qt5::Network)

else()

  target_link_libraries(base-ssh ${QT_LIBRARIES} base base-qt)

endif()

=== base-svg/CMakeLists.txt ===
# $Id$
project(BASE_SVG)
set(BASE_SVG_VERSION_MAJOR 1)
set(BASE_SVG_VERSION_MINOR 0)
set(BASE_SVG_VERSION_PATCH 0)
set(BASE_SVG_VERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR}.${BASE_SVG_VERSION_PATCH})
set(BASE_SVG_SOVERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Svg REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTSVG TRUE)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### kde config ###############
find_program(KDE_CONFIG NAMES kf5-config kde4-config)

########### zlib ###############
if(NOT WIN32)
find_package(ZLIB)
endif()

if(ZLIB_FOUND)

  include_directories(${ZLIB_INCLUDE_DIRS})
  add_definitions(-DWITH_ZLIB=1)

else()

  add_definitions(-DWITH_ZLIB=0)

endif()

########### configuration files ###############
configure_file(SvgSystemOptions.h.cmake SvgSystemOptions.h)

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)
include_directories(${CMAKE_SOURCE_DIR}/base-transparency)

########### next target ###############
set(base_svg_SOURCES
  BaseSvgRenderer.cpp
  SvgConfiguration.cpp
  SvgEngine.cpp
  SvgPlasmaInterface.cpp
  SvgRenderer.cpp
  SvgThread.cpp
)

set(base_svg_RESOURCES baseSvg.qrc)

if(USE_QT5)

  qt5_add_resources(base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

else()

  qt4_add_resources(base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

endif()

if(ENABLE_SHARED)

  add_library(base-svg SHARED ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC})
  set_target_properties(base-svg PROPERTIES VERSION ${BASE_SVG_VERSION} SOVERSION ${BASE_SVG_SOVERSION})
  install(TARGETS base-svg DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-svg STATIC ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC})

endif()

target_link_libraries(base-svg base-transparency)

if( ZLIB_FOUND )

  target_link_libraries(base-svg ${ZLIB_LIBRARIES})

endif()

if(USE_QT5)

  target_link_libraries(base-svg Qt5::Widgets Qt5::Svg Qt5::Xml)

else()

  target_link_libraries(base-svg ${QT_LIBRARIES})

endif()

=== base-transparency/CMakeLists.txt ===
# $Id$
project(BASE_TRANSPARENCY)
set(BASE_TRANSPARENCY_VERSION_MAJOR 1)
set(BASE_TRANSPARENCY_VERSION_MINOR 0)
set(BASE_TRANSPARENCY_VERSION_PATCH 0)
set(BASE_TRANSPARENCY_VERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR}.${BASE_TRANSPARENCY_VERSION_PATCH})
set(BASE_TRANSPARENCY_SOVERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR})

########### Qt configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

# ########### X11 #######################
if(UNIX AND NOT APPLE)

  find_package(XCB COMPONENTS XCB SHAPE)
  if( XCB_XCB_FOUND AND XCB_SHAPE_FOUND )
    add_definitions(-DWITH_XCB=1)
  else()
    add_definitions(-DWITH_XCB=0)
  endif()

else()

  add_definitions(-DWITH_XCB=0)

endif()

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)

########### next target ###############
set(base_transparency_SOURCES
  CompositeEngine.cpp
  ShadowLabel.cpp
  TransparencyConfiguration.cpp
  TransparentWidget.cpp
)

if(ENABLE_SHARED)

  add_library(base-transparency SHARED ${base_transparency_SOURCES})
  set_target_properties(base-transparency PROPERTIES VERSION ${BASE_TRANSPARENCY_VERSION} SOVERSION ${BASE_TRANSPARENCY_SOVERSION})
  install(TARGETS base-transparency DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base-transparency STATIC ${base_transparency_SOURCES})

endif()

target_link_libraries(base-transparency base-qt)
target_link_libraries(base-transparency ${XCB_LIBRARIES})

if(USE_QT5)

  target_link_libraries(base-transparency Qt5::Widgets)

else()

  target_link_libraries(base-transparency ${QT_LIBRARIES})

endif()

=== base/CMakeLists.txt ===
# $Id$
project(BASE)
set(BASE_VERSION_MAJOR 1)
set(BASE_VERSION_MINOR 0)
set(BASE_VERSION_PATCH 0)
set(BASE_VERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR}.${BASE_VERSION_PATCH})
set(BASE_SOVERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR})

########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTNETWORK TRUE)
  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes ###############
include_directories(${CMAKE_CURRENT_BINARY_DIR})

########### links #########
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
link_directories(${CMAKE_INSTALL_PREFIX}/lib)

########### next target ###############
set(base_SOURCES
  Color.cpp
  Command.cpp
  CommandLineArguments.cpp
  CommandLineParser.cpp
  CounterMap.cpp
  CustomProcess.cpp
  Debug.cpp
  File.cpp
  FileThread.cpp
  FileRecord.cpp
  Key.cpp
  Option.cpp
  Options.cpp
  ResourceMigration.cpp
  Singleton.cpp
  TimeStamp.cpp
  Util.cpp
)

if(ENABLE_SHARED)

  add_library(base SHARED ${base_SOURCES})
  set_target_properties(base PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_SOVERSION})
  install(TARGETS base DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_library(base STATIC ${base_SOURCES})

endif()

if(USE_QT5)

  target_link_libraries(base Qt5::Widgets Qt5::Network)

else()

  target_link_libraries(base ${QT_LIBRARIES})

endif()

=== src/CMakeLists.txt ===
# $Id$
########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Svg REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTSVG TRUE)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  include_directories(${CMAKE_CURRENT_BINARY_DIR})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes #########
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)
include_directories(${CMAKE_SOURCE_DIR}/base-transparency)
include_directories(${CMAKE_SOURCE_DIR}/base-svg)

########### next target ###############
set(openssh_askpass_SOURCES
  AskPassQt.cpp
  main.cpp
)

set(openssh_askpass_RESOURCES pixmaps.qrc)

if(USE_QT5)

  qt5_add_resources(openssh_askpass_RESOURCES_RCC ${openssh_askpass_RESOURCES})

else()

  qt4_add_resources(openssh_askpass_RESOURCES_RCC ${openssh_askpass_RESOURCES})

endif()

add_executable(qt4-ssh-askpass
  ${openssh_askpass_SOURCES}
  ${openssh_askpass_RESOURCES_RCC}
)

target_link_libraries(qt4-ssh-askpass base base-qt base-transparency base-svg)

install(TARGETS qt4-ssh-askpass DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

if(USE_QT5)

  target_link_libraries(qt4-ssh-askpass Qt5::Svg Qt5::Widgets Qt5::Xml)

else()

  target_link_libraries(qt4-ssh-askpass ${QT_LIBRARIES})

endif()

=== PKGBUILD ===
# Maintainer: schuay <jakob.gruber@gmail.com>
# Previous Maintainer:  TDY <tdy@gmx.com>
# Contributor: Massimiliano Torromeo <Massimiliano.Torromeo AT gmail DOT com>

pkgname=openssh-askpass
pkgver=2.1.0
pkgrel=3
pkgdesc='A plasma-like passphrase dialog for ssh'
arch=('x86_64')
url='http://hugo.pereira.free.fr/software/index.php?page=package&package_list=software_list_qt4&package=openssh-askpass&full=0'
license=('GPL')
depends=('openssh' 'qt5-x11extras' 'qt5-svg' 'xcb-util-keysyms')
makedepends=('cmake')
provides=('x11-ssh-askpass')
source=("http://hugo.pereira.free.fr/software/tgz/$pkgname-$pkgver.tar.gz")
install=$pkgname.install
         
build() {
  cd "$srcdir/$pkgname-$pkgver"

  mkdir -p build
  cd build

  cmake -DCMAKE_INSTALL_PREFIX="/usr" -DUSE_QT5=ON ..
  make
}

package() {
  cd "$srcdir/$pkgname-$pkgver/build"
  make DESTDIR="$pkgdir" install
}

md5sums=('707e4533cab44b0ec767bd27d326fd71')
